## Contraintes sur le formalisme des dates

La définition de dates dans Qualigéo se réfère à la librairie standard Python. De nombreuses informations et exemples de structures de dates sont disponibles sur le site [http://docs.python.org/library/datetime.html](http://docs.python.org/library/datetime.html)

Le tableau ci-dessous liste l’ensemble des directives dédiées :

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
</style>
<table class="tg">
<thead>
  <tr>
    <th class="tg-0pn5">%a</th>
    <th class="tg-0pn5">Renvoie labréviation locale du jour (Dim)</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td class="tg-0pn5">%A</td>
    <td class="tg-avj4">Comme %a mais sans abréviation (Dimanche)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%b</td>
    <td class="tg-o6tx">Renvoie l'abréviation locale du mois (Oct)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%B</td>
    <td class="tg-avj4">Equivalent à %b sans abréviation (Octobre)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%c</td>
    <td class="tg-o6tx">Renvoie une représentation locale complète (Dim Oct 9 15:17:40 2020)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%d</td>
    <td class="tg-avj4">Renvoie le jour du mois [01,31]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%f</td>
    <td class="tg-o6tx">Micro seconde en décimale [0,9999999]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%H</td>
    <td class="tg-avj4">Renvoie l'heure au format 24 h [00,23]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%I</td>
    <td class="tg-o6tx">Renvoie l'heure au format 12 h [01,12]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%j</td>
    <td class="tg-avj4">Renvoie le jour de l'année [001,366]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%m</td>
    <td class="tg-o6tx">Renvoie les mois de l'année en version numérique [01,12]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%M</td>
    <td class="tg-avj4">Renvoie les minutes [00,61]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%p</td>
    <td class="tg-o6tx">Renvoie AM ou PM en fonction de l'heure</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%S</td>
    <td class="tg-avj4">Renvoie les secondes [00,61]</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%U</td>
    <td class="tg-o6tx">Renvoie le numéro de la semaine sous forme numérique, en se basant sur le dimanche comme le premier jour de la semaine</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%w</td>
    <td class="tg-avj4">Renvoie le jour de la semaine sous forme numérique (0 correspondant à dimanche)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%W</td>
    <td class="tg-o6tx">Comme %U mais lundi est pris en référence comme premier jour de la semaine</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%x</td>
    <td class="tg-avj4">Comme %c mais version courte sans jour ni heure (10/09/20)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%X</td>
    <td class="tg-o6tx">Renvoie la représentation locale de l'heure (15:31:33)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%y</td>
    <td class="tg-avj4">Renvoie les deux derniers chiffres de l'année (20)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%Y</td>
    <td class="tg-o6tx">Renvoie l'année (2020)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%z</td>
    <td class="tg-avj4">Renvoie le Temps Universel Coordonné (UTC) sous la forme + HHMM ou -HHMM</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%Z</td>
    <td class="tg-o6tx">Renvoie la TimeZone (CET)</td>
  </tr>
  <tr>
    <td class="tg-0pn5">%%</td>
    <td class="tg-avj4">Un caractère litéral</td>
  </tr>
</tbody>
</table>


<table style="mc-table-style: url(’../Resources/TableStyles/Lignes.css’);border-left-style: solid;border-left-width: 1px;border-left-color: #000000;border-right-style: solid;border-right-width: 1px;border-right-color: #000000;border-top-style: solid;border-top-width: 1px;border-top-color: #000000;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: #000000;caption-side: bottom;" class="TableStyle_Rows" cellspacing="0">
            <caption>&#160;</caption>
            <col style="width: 75px;" />
            <col style="width: 563px;" />
            <thead>
                <tr>
                    <th class="TableStyle_Rows_Head_0_0_RowSep_ColSep" style="text-align: center;">Directive</th>
                    <th class="TableStyle_Rows_Head_0_0_RowSep_ColEnd">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%a</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie l’abréviation locale du jour. (Dim)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%A</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Comme %a mais sans abréviation (nom complet)(Dimanche)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%b</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie l’abréviation locale du mois. (Oct)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%B</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Equivalent à %bsans abréviation. (Octobre)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%c</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie une représentation locale complète. (Dim Oct 9 15:17:40 2008)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%d</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie le jour du mois [01,31] </td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%f</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Micro seconde en décimale [0,9999999]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%H</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie l’heure au format 24 h [00,23]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%I</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie l’heure au format 12 h [01,12]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%j</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie le jour de l’année [001,366]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%m</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie les mois de l’année en version numérique [01,12]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%M</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie les minutes [00,61]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%p</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie AM ou PM en fonction de l’heure.</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%S</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie les secondes [00,61]</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%U</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie le numéro de la semaine sous forme numérique, en se basant sur le dimanche comme le premier jour de la semaine. </td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%w</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie le jour de la semaine sous forme numérique  (0 correspondant à dimanche).</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%W</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Comme %U mais lundi est pris en référence comme premier jour de la semaine.</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%x</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Comme %c mais version courte sans jour ni heure (10/09/08)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%X</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie la représentation locale del’heure (15:31:33)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%y</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie les deux derniers chiffres de l’année (05)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%Y</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie l’année (2005)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColSep" style="text-align: left;">%z</td>
                    <td class="TableStyle_Rows_Body_1_0_RowSep_ColEnd" style="text-align: left;">Renvoie le Temps Universel Coordonné (UTC) sous la forme + HHMM ou -HHMM</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColSep" style="text-align: left;">%Z</td>
                    <td class="TableStyle_Rows_Body_0_0_RowSep_ColEnd" style="text-align: left;">Renvoie la TimeZone (CET)</td>
                </tr>
                <tr>
                    <td class="TableStyle_Rows_Body_1_0_RowEnd_ColSep" style="text-align: left;">%%</td>
                    <td class="TableStyle_Rows_Body_1_0_RowEnd_ColEnd" style="text-align: left;">Un caractère litéral</td>
                </tr>
            </tbody>
        </table>
